Page MenuHomePhabricator

TypeError: $.collapsibleTabs.getSettings(...) is undefined
Closed, ResolvedPublic

Description

I got the following error when I accessed
https://pt.wikipedia.org/wiki/WP:Esplanada/geral?debug=1
using Iceweasel/Firefox:

{
	"errorMessage": "TypeError: $.collapsibleTabs.getSettings(...) is undefined",
	"url": "https://pt.wikipedia.org/static/1.26wmf19/skins/Vector/collapsibleTabs.js",
	"lineNumber": 96,
	"columnNumber": 28,
	"errorObject": {}
}

The error happens on this line:
https://github.com/wikimedia/mediawiki-skins-Vector/blob/c099929796be8fd5db012b9aec8440fbe4d3baa1/collapsibleTabs.js#L96

data.expandCondition( $.collapsibleTabs.getSettings( $( data.collapsedContainer ).children(

Event Timeline

He7d3r created this task.Aug 27 2015, 6:24 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added projects: JavaScript, Vector.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 6:24 PM
He7d3r updated the task description. (Show Details)Aug 27 2015, 6:26 PM
He7d3r set Security to None.
He7d3r updated the task description. (Show Details)Aug 27 2015, 6:30 PM
TheDJ added a subscriber: TheDJ.Aug 27 2015, 8:04 PM

I can confirm. I'm not sure what is causing this however...
Also doesn't seem to occur on my local machine in Firefox..

TheDJ added a comment.Aug 27 2015, 9:40 PM

possibly related to root cause of T109259 ?

possibly related to root cause of T109259 ?

Maybe, though it wouldn't explain why .getSettings or .collapsibleTabs is undefined. There are a lot of methods and property accesses on the reported line. Is it really for .getSettings()? Or is it bailing before that.

I can't reproduce this in Firefox or Chrome at the given url.

I can't reproduce either.

Jdlrobson changed the task status from Open to Stalled.Sep 24 2015, 12:23 AM
Jdlrobson added a subscriber: Jdlrobson.

I cannot reproduce right now. Are we sure this is still a problem?

Krinkle removed a subscriber: Krinkle.Sep 25 2015, 9:38 PM
matmarex closed this task as Resolved.Sep 30 2015, 7:49 AM
matmarex claimed this task.

Probably fixed.